'use strict';

/**
 * Numeric constants used throughout the application
 */
// Retry limits
const DEFAULT_MAX_RETRIES = 3;
const DEFAULT_VALIDATION_MAX_RETRIES = 3;
const RETRY_DELAY_MS = 1000;
const RULE_VALUE_INDEX = 2;
const MIN_RULE_LENGTH = 2;
const RULE_CONFIG_LENGTH = 3;
// Validation levels
const VALIDATION_LEVEL_DISABLED = 0;
const VALIDATION_LEVEL_ERROR = 2;
// String manipulation
const ELLIPSIS_LENGTH = 3;
const MIN_API_KEY_LENGTH = 8;
const REDACTED_LENGTH = 4;
// Numeric limits
const MIN_RETRY_COUNT = 1;
const MAX_RETRY_COUNT = 10;
// OpenAI API constants
const OPENAI_MAX_TOKENS = 2048;
const OPENAI_TEMPERATURE = 0.7;

exports.DEFAULT_MAX_RETRIES = DEFAULT_MAX_RETRIES;
exports.DEFAULT_VALIDATION_MAX_RETRIES = DEFAULT_VALIDATION_MAX_RETRIES;
exports.ELLIPSIS_LENGTH = ELLIPSIS_LENGTH;
exports.MAX_RETRY_COUNT = MAX_RETRY_COUNT;
exports.MIN_API_KEY_LENGTH = MIN_API_KEY_LENGTH;
exports.MIN_RETRY_COUNT = MIN_RETRY_COUNT;
exports.MIN_RULE_LENGTH = MIN_RULE_LENGTH;
exports.OPENAI_MAX_TOKENS = OPENAI_MAX_TOKENS;
exports.OPENAI_TEMPERATURE = OPENAI_TEMPERATURE;
exports.REDACTED_LENGTH = REDACTED_LENGTH;
exports.RETRY_DELAY_MS = RETRY_DELAY_MS;
exports.RULE_CONFIG_LENGTH = RULE_CONFIG_LENGTH;
exports.RULE_VALUE_INDEX = RULE_VALUE_INDEX;
exports.VALIDATION_LEVEL_DISABLED = VALIDATION_LEVEL_DISABLED;
exports.VALIDATION_LEVEL_ERROR = VALIDATION_LEVEL_ERROR;
//# sourceMappingURL=numeric.constant.js.map
