import type { CommitBody } from "../value-object/commit-body.value-object.js";
import type { CommitHeader } from "../value-object/commit-header.value-object.js";
/**
 * Entity representing a complete commit message
 */
export declare class CommitMessage {
    private readonly BODY;
    private readonly HEADER;
    constructor(header: CommitHeader, body: CommitBody);
    /**
     * Get the commit body
     */
    getBody(): CommitBody;
    /**
     * Get the commit header
     */
    getHeader(): CommitHeader;
    /**
     * Check if the commit has a breaking change
     */
    hasBreakingChange(): boolean;
    /**
     * Format the complete commit message
     */
    toString(): string;
    /**
     * Create a new commit message with updated body
     */
    withBody(body: CommitBody): CommitMessage;
    /**
     * Create a new commit message with updated header
     */
    withHeader(header: CommitHeader): CommitMessage;
}
//# sourceMappingURL=commit-message.entity.d.ts.map