/**
 * Value object representing an API key
 */
export declare class ApiKey {
    private readonly VALUE;
    constructor(value: string);
    /**
     * Check if two API keys are equal
     */
    equals(other: ApiKey): boolean;
    /**
     * Get the API key value
     * @returns The API key value
     */
    getValue(): string;
    /**
     * Check if the API key is valid
     * @returns True if the API key appears to be valid
     */
    isValid(): boolean;
    /**
     * Get a redacted version of the API key for display
     * @returns Redacted API key
     */
    toRedacted(): string;
}
//# sourceMappingURL=api-key.value-object.d.ts.map