import type { CommitMessage } from "../../domain/entity/commit-message.entity.js";
import type { LLMConfiguration } from "../../domain/entity/llm-configuration.entity.js";
import type { ILlmPromptContext, ILlmService } from "../interface/llm-service.interface.js";
/**
 * Use case for generating commit messages
 */
export declare class GenerateCommitMessageUseCase {
    private readonly LLM_SERVICES;
    constructor(llmServices: Array<ILlmService>);
    /**
     * Execute the use case
     * @param context - The context for generating the commit message
     * @param configuration - The LLM configuration
     * @param onRetry - Optional callback for retry notifications
     * @returns Promise resolving to the generated commit message
     */
    execute(context: ILlmPromptContext, configuration: LLMConfiguration, onRetry?: (attempt: number, maxRetries: number, error: Error) => void): Promise<CommitMessage>;
}
//# sourceMappingURL=generate-commit-message.use-case.d.ts.map