import type { ICliInterfaceService } from "../interface/cli-interface-service.interface.js";
import type { ILlmPromptContext } from "../interface/llm-service.interface.js";
import { CommitMessage } from "../../domain/entity/commit-message.entity.js";
/**
 * Use case for manual commit message creation
 */
export declare class ManualCommitUseCase {
    private readonly CLI_INTERFACE;
    constructor(cliInterface: ICliInterfaceService);
    /**
     * Execute the manual commit creation process
     * @param context - The context for the commit
     * @returns Promise resolving to the commit message
     */
    execute(context: ILlmPromptContext): Promise<CommitMessage>;
}
//# sourceMappingURL=manual-commit.use-case.d.ts.map