/**
 * Numeric constants used throughout the application
 */
// Retry limits
const DEFAULT_MAX_RETRIES = 3;
const DEFAULT_VALIDATION_MAX_RETRIES = 3;
const RETRY_DELAY_MS = 1000;
const RULE_VALUE_INDEX = 2;
const MIN_RULE_LENGTH = 2;
const RULE_CONFIG_LENGTH = 3;
// Validation levels
const VALIDATION_LEVEL_DISABLED = 0;
const VALIDATION_LEVEL_ERROR = 2;
// String manipulation
const ELLIPSIS_LENGTH = 3;
const MIN_API_KEY_LENGTH = 8;
const REDACTED_LENGTH = 4;
// Numeric limits
const MIN_RETRY_COUNT = 1;
const MAX_RETRY_COUNT = 10;
// OpenAI API constants
const OPENAI_MAX_TOKENS = 2048;
const OPENAI_TEMPERATURE = 0.7;

export { DEFAULT_MAX_RETRIES, DEFAULT_VALIDATION_MAX_RETRIES, ELLIPSIS_LENGTH, MAX_RETRY_COUNT, MIN_API_KEY_LENGTH, MIN_RETRY_COUNT, MIN_RULE_LENGTH, OPENAI_MAX_TOKENS, OPENAI_TEMPERATURE, REDACTED_LENGTH, RETRY_DELAY_MS, RULE_CONFIG_LENGTH, RULE_VALUE_INDEX, VALIDATION_LEVEL_DISABLED, VALIDATION_LEVEL_ERROR };
//# sourceMappingURL=numeric.constant.js.map
