/**
 * Enum representing popular Ollama models
 * Note: Ollama supports any model available in the Ollama library
 * Users can also specify custom model names
 */
var EOllamaModel;
(function (EOllamaModel) {
    EOllamaModel["CODELLAMA"] = "codellama";
    // Custom model placeholder
    EOllamaModel["CUSTOM"] = "custom";
    EOllamaModel["DEEPSEEK_CODER"] = "deepseek-coder";
    EOllamaModel["GEMMA"] = "gemma";
    EOllamaModel["GEMMA2"] = "gemma2";
    EOllamaModel["LLAMA2"] = "llama2";
    EOllamaModel["LLAMA3"] = "llama3";
    EOllamaModel["LLAMA3_1"] = "llama3.1";
    // Popular Open-Source Models
    EOllamaModel["LLAMA3_2"] = "llama3.2";
    EOllamaModel["MISTRAL"] = "mistral";
    EOllamaModel["MIXTRAL"] = "mixtral";
    EOllamaModel["NEURAL_CHAT"] = "neural-chat";
    EOllamaModel["PHI"] = "phi";
    EOllamaModel["PHI3"] = "phi3";
    EOllamaModel["QWEN2"] = "qwen2";
    EOllamaModel["QWEN2_5"] = "qwen2.5";
    EOllamaModel["STARLING_LM"] = "starling-lm";
})(EOllamaModel || (EOllamaModel = {}));

export { EOllamaModel };
//# sourceMappingURL=ollama-model.enum.js.map
