/**
 * Value object representing a commit message body
 */
export declare class CommitBody {
    private readonly BREAKING_CHANGE;
    private readonly CONTENT;
    constructor(content?: string, breakingChange?: string);
    /**
     * Check if two bodies are equal
     */
    equals(other: CommitBody): boolean;
    /**
     * Get the breaking change description
     */
    getBreakingChange(): string | undefined;
    /**
     * Get the body content
     */
    getContent(): string | undefined;
    /**
     * Check if there is a breaking change
     */
    hasBreakingChange(): boolean;
    /**
     * Check if the body is empty
     */
    isEmpty(): boolean;
    /**
     * Format the body as a string
     */
    toString(): string;
}
//# sourceMappingURL=commit-body.value-object.d.ts.map