/**
 * Value object representing a commit message header
 */
export declare class CommitHeader {
    private readonly SCOPE;
    private readonly SUBJECT;
    private readonly TYPE;
    constructor(type: string, subject: string, scope?: string);
    /**
     * Check if two headers are equal
     */
    equals(other: CommitHeader): boolean;
    /**
     * Get the commit scope
     */
    getScope(): string | undefined;
    /**
     * Get the commit subject
     */
    getSubject(): string;
    /**
     * Get the commit type
     */
    getType(): string;
    /**
     * Format the header as a string
     */
    toString(): string;
}
//# sourceMappingURL=commit-header.value-object.d.ts.map