type TCommit = (message: string) => void;
/**
 * Main adapter for Commitizen integration
 */
export declare class CommitizenAdapter {
    private readonly CONTAINER;
    constructor();
    /**
     * Main entry point for commitizen
     * @param inquirerIns - Instance passed by commitizen (unused in our implementation)
     * @param commit - Callback to execute with complete commit message
     */
    prompter(_inquirerIns: unknown, commit: TCommit): Promise<void>;
    /**
     * Extract LLM prompt context from commitlint rules and prompts
     */
    private extractLlmPromptContext;
    /**
     * Get API key prompt information based on provider
     */
    private getApiKeyPromptInfo;
}
export {};
//# sourceMappingURL=commitizen.adapter.d.ts.map